Last modified: 2012-11-14 12:15:31 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 35537 - Commits from the l10n-bot should be merged immediately
Commits from the l10n-bot should be merged immediately
Status: RESOLVED WONTFIX
Product: Wikimedia
Classification: Unclassified
Git/Gerrit (Other open bugs)
unspecified
All All
: High critical (vote)
: ---
Assigned To: Chad H.
:
Depends on:
Blocks: 22596
  Show dependency treegraph
 
Reported: 2012-03-27 20:33 UTC by Nemo
Modified: 2012-11-14 12:15 UTC (History)
9 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Nemo 2012-03-27 20:33:41 UTC
Having to wait defeats the purpose, etc.
Comment 1 Antoine "hashar" Musso (WMF) 2012-03-28 20:15:47 UTC
The auto merge can be handled in the gerrit hook  "patchset-created"  which is in operations/puppet.git : files/gerrit/hooks/patchset-created
Comment 2 Chad H. 2012-03-30 19:32:33 UTC
Submitted this in Gerrit change #4020
Comment 3 Chad H. 2012-04-03 21:18:27 UTC
Ok, we fixed and deployed this today. Attempted it for Gerrit change #4206, did not work. Logs from around the time of the push are included (probably a lot of noise)[0].

Possible causes to investigate:
* Logic bug in hook
* Lack of permissions for user to auto-merge (this is done as gerrit2, right?)
Comment 4 Chad H. 2012-04-03 21:19:22 UTC
(In reply to comment #3)
> * Lack of permissions for user to auto-merge (this is done as Gerrit change #2, right?)

Silly auto-formatting. I meant that as the user gerrit[2]
Comment 5 Chad H. 2012-04-03 21:20:00 UTC
(In reply to comment #3)
> Ok, we fixed and deployed this today. Attempted it for Gerrit change #4206, did not
> work. Logs from around the time of the push are included (probably a lot of
> noise)[0].
> 
> Possible causes to investigate:
> * Logic bug in hook
> * Lack of permissions for user to auto-merge (this is done as Gerrit change #2, right?)

Forgot the logs: http://p.defau.lt/?Xk0msgRkG9zibfacU40A2g
Comment 6 Antoine "hashar" Musso (WMF) 2012-04-04 09:19:27 UTC
Will the change get merged even if the Jenkins build fail ? :-D
Comment 7 Niklas Laxström 2012-04-04 11:24:35 UTC
(In reply to comment #6)
> Will the change get merged even if the Jenkins build fail ? :-D

It should never fail. We have been doing these exports for years without much trouble.
Comment 8 Antoine "hashar" Musso (WMF) 2012-04-04 11:26:36 UTC
I would prefer us to run the tests and merge automatically upon success. Just to be safe.
Comment 9 Niklas Laxström 2012-04-04 11:35:21 UTC
I would prefer to have this one fixed as soon as possible and improve it after that.
Comment 10 Chad H. 2012-04-04 12:13:34 UTC
I *believe* fixed this last night. I forgot that the hook is running as gerrit[2] and the user lacked the rights to do the approve+submit. We can try again.

Questions regarding whether or not to set verified or to wait for jenkins to do that can be discussed afterwords.
Comment 11 Niklas Laxström 2012-04-12 10:13:37 UTC
Chad, can you add the update I asked yesterday?

The week is nearing its end and I am planning to start i18n commits next week, even if it means that somebody has to waste time clicking through all of the commits and chasing someone else to accept the ones he can't.
Comment 12 Chad H. 2012-04-12 20:52:08 UTC
We fixed this today \o/

https://gerrit.wikimedia.org/r/#change,4804

Long story short, I should've debugged the options.uploader a week ago. A couple of minor things to adjust (like spam, etc) but those have their own bugs.
Comment 13 Antoine "hashar" Musso (WMF) 2012-04-16 14:37:55 UTC
The actual fix is https://gerrit.wikimedia.org/r/4792 . The options.uploader is a user + email address field.

4804 prove the fix worked.
Comment 14 Siebrand Mazeland 2012-04-30 07:53:58 UTC
This broke again for an unknown reason last week. See <https://gerrit.wikimedia.org/r/#dashboard,137>. These all had to be accepted manually.
Comment 15 Chad H. 2012-05-22 18:43:13 UTC
This should be fixed now since Gerrit change #8037 was merged. Will know for sure later today.
Comment 16 Siebrand Mazeland 2012-06-05 01:00:08 UTC
Don't care anymore. This does the trick and was added to the translatewiki.net repocommit script:

for i in `ssh l10n-bot@gerrit.wikimedia.org -p 29418 gerrit query --format=TEXT owner:l10n-bot status:open |grep "  url:" |cut -d/ -f5`
do
  echo "Merging ${i}..."
  ssh l10n-bot@gerrit.wikimedia.org -p 29418 gerrit review $i,1 --code-review 2 --verified 1 --submit
done
Comment 17 Chad H. 2012-06-05 01:14:25 UTC
(In reply to comment #16)
> Don't care anymore. This does the trick and was added to the translatewiki.net
> repocommit script:
> 
> for i in `ssh l10n-bot@gerrit.wikimedia.org -p 29418 gerrit query --format=TEXT
> owner:l10n-bot status:open |grep "  url:" |cut -d/ -f5`
> do
>   echo "Merging ${i}..."
>   ssh l10n-bot@gerrit.wikimedia.org -p 29418 gerrit review $i,1 --code-review 2
> --verified 1 --submit
> done

For what it's worth, that's what I suggested Antoine do originally when he was overhauling the Translatewiki scripts--but he seemed to think doing it via a hook was better.
Comment 18 Antoine "hashar" Musso (WMF) 2012-06-05 19:57:31 UTC
I still think it is better in the hook but I guess the command line is an acceptable workaround, even for long term :-]

Good to see that long lasting issue finally solved !
Comment 19 Nemo 2012-11-14 12:15:31 UTC
Switching from LATER to the second most relevant resolution for fear of information loss. http://article.gmane.org/gmane.science.linguistics.wikipedia.technical/65116

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links